Skip to main content

Order Created Webhook

POST 

/api/webhooks/wc-webhook/:id/order.created

Inbound webhook endpoint called by WooCommerce when a new order is created.

Requires WooCommerce webhook signature verification (VerifyWooCommerceWebhook middleware). Dispatches a background job for async processing.

Route name: woocommerce.order_created

If the numeric instance id in this URL is registered by more than one SKU.io account, the delivery is refused with 409 ("This webhook target is registered by more than one tenant; reconnect the integration to get its own webhook URL.") instead of being delivered to one of them.

Request​

Responses​

Successful response